Bug 109925 - tcl-devel-8.3.5-93 is missing important header files
tcl-devel-8.3.5-93 is missing important header files
Product: Fedora
Classification: Fedora
Component: tcltk (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2003-11-12 19:54 EST by J G Miller
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-14 01:23:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J G Miller 2003-11-12 19:54:52 EST
Description of problem:

The header files tclDecls.h and tclIntDecls.h
are missing from the tcl development library package

Version-Release number of selected component (if applicable):

How reproducible:
Actual results:
files are not present upon installation of the package

Expected results:
files are expected to be present in /usr/include upon installation of
the package

Additional info:
These header files are needed in order to compile tcl applications.
It was necessary to download the tcl 8.3.5 source code from
SourceForge and move these header files into /usr/include in order
to successfully compile a tcl application.
Comment 1 Jens Petersen 2003-11-13 07:35:23 EST

% rpm -ql tcl-devel|grep include

ok, no tclIntDecls.h.

Wonder why it and the other include files aren't getting installed.
Comment 2 J G Miller 2003-11-13 10:51:31 EST
Apologies, I made an error in the original report.

tclDecls.h IS installed, and all of the include files in the package
are installed correctly.

The missing files are tclInt.h and tclIntDecls.h
These are not in the package and are therefore not installed.

Thus to clarify, there is no problem with files in the package being
installed, it is simply a case of files not being included in the package.
Comment 3 Jens Petersen 2003-11-14 01:23:07 EST
Ok, that's all right then. :)
Comment 4 Jens Petersen 2004-01-20 20:14:11 EST
The private header files needed to build tk and expect
are now included separately under /usr/include/tcl-private
in tcl-8.4.5-2 and later.

Note You need to log in before you can comment on or make changes to this bug.